package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.ExceptionConst;
import org.apache.bcel.generic.ArithmeticInstruction;
import org.apache.bcel.generic.ExceptionThrower;
import org.apache.bcel.generic.Visitor;

public class LREM extends ArithmeticInstruction implements ExceptionThrower {
  public LREM() {
    super((short)113);
  }
  
  public void accept(Visitor v) {
    v.visitExceptionThrower(this);
    v.visitTypedInstruction(this);
    v.visitStackProducer(this);
    v.visitStackConsumer(this);
    v.visitArithmeticInstruction(this);
    v.visitLREM(this);
  }
  
  public Class<?>[] getExceptions() {
    return new Class[] { ExceptionConst.ARITHMETIC_EXCEPTION };
  }
}
